@echo off

echo Setting environment variables...
set BOOST_HEADER_DIR=C:\boost\include\boost-1_83
set BOOST_LIB_DIR=C:\boost\lib
set BOOST_LIBS=boost_filesystem-mgw7-mt-x32-1_83

echo Configuring xmake...
xmake f -p mingw -a i386 --boost=y
if %errorlevel% neq 0 (
    echo Error: xmake configuration failed.
    pause
    exit /b 1
)
echo BOOST_HEADER_DIR=%BOOST_HEADER_DIR%
echo BOOST_LIB_DIR=%BOOST_LIB_DIR%
echo BOOST_LIBS=%BOOST_LIBS%
echo Building project with xmake...
xmake
if %errorlevel% neq 0 (
    echo Error: xmake build failed.
    pause
    exit /b 1
)
echo Build completed successfully.
pause